#!/bin/sh

MODIFIER_ID_STRING="Inserted by MFP Linux Driver"

shell_script_execution_enable() {
	test -n "$1" || return
	test -n "$MODIFIER_ID_STRING" || return
	TMP_FILE_DIS=/tmp/`basename $1`-ena.tmp
	cat $1 | grep -v "`echo $MODIFIER_ID_STRING`" > $TMP_FILE_DIS
	cat $TMP_FILE_DIS > $1
	rm -f $TMP_FILE_DIS
}

# Remove Start Menu files for MandrakeLinux 10.2 beta 2 (and above ?) begin {

( cd /var/lib/menu-xdg/applications/Mandrakelinux 2> /dev/null && \
rm -f SamsungConfigurator.desktop SamsungHelpViewer.desktop Uninstall_*.desktop )

# Remove Start Menu files for MandrakeLinux 10.2 beta 2 (and above ?) end   }

# Restore lp.script for MandrakeLinux 10.2 beta 2 (and above ?) begin {

if test -f /etc/dynamic/scripts/lp.script ; then
	shell_script_execution_enable /etc/dynamic/scripts/lp.script
fi

# Restore lp.script for MandrakeLinux 10.2 beta 2 (and above ?) end   }
